#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#include "EntityStateResist.h"
#include "EntityStateSplash.h"
#include "CS_Enemy_SoapFrontDmgRect.h"
#define CS_ENEMY_SOAPB_CREATENAME L"CS_enemy_soapb"
//µÐÈË£º·ÊÔíB
class CS_Enemy_SoapB :
    public Entity
{
public:
    CS_Enemy_SoapB();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    void Destroy() override;
    EntityStateGravity stateGravity;
    EntityStateResist stateResist;
    EntityStateSplash stateSplash;
    std::weak_ptr<CS_Enemy_SoapFrontDmgRect> atkZone;
};

std::shared_ptr<Entity> CreateCS_Enemy_SoapB();